Bug 118524 - /var/www/usage Webalizer and Apache Forbidden Error
/var/www/usage Webalizer and Apache Forbidden Error
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: webalizer (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-03-17 08:12 EST by Ryan Shultz
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 07:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Shultz 2004-03-17 08:12:15 EST
Description of problem:
When a fresh installation of AS3 is done with Apache and Webalizer, 
the usage directory where Webalizer is configured for by default 
shows forbidden and you are not able to view the contents of the 
directory through a browser but if you view the files through the 
browser by doing a file reference they display.

Version-Release number of selected component (if applicable):

How reproducible:
I can reproduce this every time I install the OS.

Steps to Reproduce:
1. Install AS3 with Apache and Webalizer
2. Navigate in a web browser to http://localhost/usage
3. You will get the message Forbidden
Actual results:
You don't have permission to access /usage on this server.

Expected results:
To see the results of Webalizer

Additional info:
I have searched the httpd.conf file over and over to try to find a 
listing for this particular directory and never can.  I am using a 
non standard web root directory for Apache but it does it also in a 
standard web directory.
Comment 1 Joe Orton 2004-03-27 12:30:13 EST
Thanks for contacting us.  The /etc/httpd/conf.d/webalizer.conf file
configures access to the webalizer stats pages; depending on how
"localhost" resolves, you may need to add:

   Allow from

to the <Location /usage> block in that file.

Note You need to log in before you can comment on or make changes to this bug.